<% /*
    $Revision$
    $Id$

    File:        status.inc
    Description: Vertaalfuncties voor statusteksten en aanverwanten voor de niet-eigen module
    Parameters:
    Context:     Als je een statustext van een entiteit uit een andere modules moet tonen
                 moet je deze includen. As-needed uitbreiden
    Note:        Deze functies staan vooralsnog ook identiek in de respectievelijke (module).inc
                 voor inwendig gebruik. Dat scheelt een include als het niet nodig is (=vaak)

*/ %>
<%
var status = {

     getmldstatustext: function (p)
         {
           var statustekst = "??";
           var s = parseInt(p, 10);
           switch (s) {
               case 0: { statustekst = L("lcl_mld_pending"); break; }
               case 1: { statustekst = L("lcl_mld_afgewezen"); break; }
               case 2: { statustekst = L("lcl_mld_ingevoerd"); break; }
               case 3: { statustekst = L("lcl_mld_ingezien"); break; }
               case 4: { statustekst = L("lcl_mld_geaccepteerd"); break; }
               case 5: { statustekst = L("lcl_mld_afgemeld"); break; }
               case 6: { statustekst = L("lcl_mld_verwerkt"); break; }
               case 7: { statustekst = L("lcl_mld_uitgegeven"); break; }
               case 99: { statustekst = L("lcl_mld_not_solved"); break; }
               case 991: { statustekst = L("lcl_mld_offerte_accept"); break; }
               case 992: { statustekst = L("lcl_mld_offerte_is_accept"); break; }
           }
           if (Session("logging")>0)
             statustekst += " ("+String(p)+")";
           return statustekst;
        },

      getopdrstatustext: function (p)
      {
        var statustekst = "??";
        var s = parseInt(p, 10);
        switch (s)
        {
          case  1: {statustekst = L("lcl_mld_ord_afgewzen"); break;}
          case  2: {statustekst = L("lcl_mld_ord_niet_akkoord"); break;}
          case  3: {statustekst = L("lcl_mld_ord_ter_fiattering"); break;}
          case  4: {statustekst = L("lcl_mld_ord_gefiatteerd"); break;}
          case  5: {statustekst = L("lcl_mld_ord_uitgegeven"); break;}
          case  6: {statustekst = L("lcl_mld_ord_afgemeld"); break;}
          case  7: {statustekst = L("lcl_mld_ord_verwerkt"); break;}
          case  8: {statustekst = L("lcl_mld_ord_geaccepteerd"); break;}
          case  9: {statustekst = L("lcl_mld_ord_afgerond"); break;}
          case 10: {statustekst= L("lcl_mld_ord_ter_goedkeuring"); break;}
        }
        if (Session("logging") > 0)
          statustekst += " (" + String(p) + ")";
        return statustekst;
      },

      getcntstatustext:
         function (p)
         {
           var statustekst = "??";
           var s = parseInt(p, 10);
           switch (s) {
               case 0: { statustekst = (S("cnt_contract_approval") == 1? L("lcl_cnt_active_approval") : L("lcl_cnt_active")); break; }
               case 1: { statustekst = L("lcl_cnt_inactive"); break; }
               case 2: { statustekst = L("lcl_cnt_new"); break; }
               case 3: { statustekst = L("lcl_cnt_forapproval"); break; }
           }
           if (Session("logging")>0)
             statustekst += " (" + String(p) + ")";
           return statustekst;
         },

      getbesbestellingstatustext:
         function(p)
         {
            var statustekst = "??";
            switch (p) { // grofweg op volgorde timeline
                case 2: { statustekst = L("lcl_bes_new"); break; }
                case 3: { statustekst = L("lcl_bes_gefiatteerd"); break; }  // Door kostenplaats (en/of -groep) verantwoordelijke
                case 4: { statustekst = L("lcl_bes_geaccepteerd"); break; } // Door backoffice (afdeling inkoop)
                case 5: { statustekst = L("lcl_bes_besteld"); break; }      // Opdrachten zijn aangemaakt
                case 1: { statustekst = L("lcl_bes_afgewezen"); break; }
                case 6: { statustekst = L("lcl_bes_geleverd"); break; }
                case 7: { statustekst = L("lcl_bes_verwerkt"); break; }
                case 8: { statustekst = L("lcl_bes_is_bescan"); break; }
            }
            if (Session("logging")>0)
              statustekst += " ("+String(p)+")";
            return statustekst;
         },

      getbesopdrstatustext:
         function(p)
         {
            var statustekst = "??";
            switch (p) { // grofweg op volgorde timeline
                case 2: { statustekst = L("lcl_bes_ord_new"); break; }           // JGL: niet gebruikt trouwens
                case 3: { statustekst = L("lcl_bes_ord_inbehandeling"); break; } // JGL: Moet nog verstuurd worden
                case 5: { statustekst = L("lcl_bes_ord_onbevestigd"); break; }   // JGL: wel verstuurd maar nog 'Ter acceptatie bij de leverancier'
                case 4: { statustekst = L("lcl_bes_ord_inbestelling"); break; }  // JGL: Leverancier heeft hem bevestigd
                case 1: { statustekst = L("lcl_bes_ord_afgewezen"); break; }     // Afgewezen door leverancier
                case 6: { statustekst = L("lcl_bes_ord_geleverd"); break; }
                case 7: { statustekst = L("lcl_bes_ord_verwerkt"); break; }
                case 8: { statustekst = L("lcl_bes_ord_geannuleerd"); break; }
            }
            if (Session("logging")>0)
              statustekst += " ("+String(p)+")";
            return statustekst;
         },

      // Levert de (default) tekst bij een srtnotificatie_code
      getsrtnotificatietext: function (sncode) {
          tekst = '['+sncode+']';
          // Hieronder dus de defaultteksten
          switch (sncode)
          {
            case "MLDNEW" : tekst = L("lcl_mld_is_mldnew") ; break;
            case "MLDING" : tekst = L("lcl_mld_is_mlding") ; break;
            case "MLDDOO" : tekst = L("lcl_mld_is_mlddoo") ; break;
            case "MLDFWD" : tekst = L("lcl_mld_is_mldfwd") ; break;
            case "MLDBWD" : tekst = L("lcl_mld_is_mldbwd") ; break;
            case "MLDUPD" : tekst = L("lcl_mld_is_mldupd") ; break;
            case "MLDACP" : tekst = L("lcl_mld_is_mldacp") ; break;
            case "MLDBEH" : tekst = L("lcl_mld_is_mldbeh") ; break;
            case "MLDREJ" : tekst = L("lcl_mld_is_mldrej") ; break;
            case "MLDAFM" : tekst = L("lcl_mld_is_mldafm") ; break;
            case "MLDAFR" : tekst = L("lcl_mld_is_mldafr") ; break;
            case "MLDVER" : tekst = L("lcl_mld_is_mldver") ; break;
            case "MLDNOT" : tekst = L("lcl_mld_is_mldnot") ; break;

            case "RESNEW" : tekst = L("lcl_res_is_resnew") ; break;
            case "RESOPT" : tekst = L("lcl_res_is_resopt") ; break;
            case "RESBEV" : tekst = L("lcl_res_is_resbev") ; break;
            case "RESBLK" : tekst = L("lcl_res_is_resblk") ; break;
            case "RESUPD" : tekst = L("lcl_res_is_resupd") ; break;
            case "RESDEL" : tekst = L("lcl_res_is_resdel") ; break;
            case "RESAFM" : tekst = L("lcl_res_is_resafm") ; break;
            case "RESVER" : tekst = L("lcl_res_is_resver") ; break;
            case "RESNOS" : tekst = L("lcl_res_is_resnos") ; break;
            case "RESMLT" : tekst = L("lcl_res_is_resmlt") ; break;
            case "RESCPY" : tekst = L("lcl_res_is_rescpy") ; break;
            case "RESROK" : tekst = L("lcl_res_is_resrok") ; break;

            case "ORDNEW" : tekst = L("lcl_ord_is_ordnew") ; break;
            case "ORDUPD" : tekst = L("lcl_ord_is_ordupd") ; break;
            case "ORDAFM" : tekst = L("lcl_ord_is_ordafm") ; break;
            case "ORDFIA" : tekst = L("lcl_ord_is_ordfia") ; break;
            case "ORDFOK" : tekst = L("lcl_ord_is_ordfok") ; break;
            case "ORDFNO" : tekst = L("lcl_ord_is_ordfno") ; break;
            case "ORDVER" : tekst = L("lcl_ord_is_ordver") ; break;
            case "ORDSNT" : tekst = L("lcl_ord_is_ordsnt") ; break;
            case "ORDREJ" : tekst = L("lcl_ord_is_ordrej") ; break;
            case "ORDCAN" : tekst = L("lcl_ord_is_ordcan") ; break;
            case "ORDACP" : tekst = L("lcl_ord_is_ordacp") ; break;
            case "ORDMLE" : tekst = L("lcl_ord_is_ordmle") ; break;
            case "ORDMLI" : tekst = L("lcl_ord_is_ordmli") ; break;
            case "ORDAFR" : tekst = L("lcl_ord_is_ordafr") ; break;
            case "ORDGOE" : tekst = L("lcl_ord_is_ordgoe") ; break;
            case "ORDGNO" : tekst = L("lcl_ord_is_ordgno") ; break;
            case "ORDOOK" : tekst = L("lcl_ord_is_ordook") ; break;
            case "ORDONO" : tekst = L("lcl_ord_is_ordono") ; break;

            case "BEZNEW" : /* same as */
            case "BEZMUT" : tekst = L("lcl_bez_is_bezmut") ; break;
            case "BEZUPD" : tekst = L("lcl_bez_is_bezupd") ; break;
            case "BEZDON" : tekst = L("lcl_bez_is_bezdon") ; break;
            case "BEZOUT" : tekst = L("lcl_bez_is_bezout") ; break;
            case "BEZBAD" : tekst = L("lcl_bez_is_bezbad") ; break;

            case "BESNEW" : tekst = L("lcl_bes_is_besnew") ; break;
            case "BESACP" : tekst = L("lcl_bes_is_besacp") ; break;
            case "BESAP2" : tekst = L("lcl_bes_is_besap2") ; break;
            case "BESBES" : tekst = L("lcl_bes_is_besbes") ; break;
            case "BESFIT" : tekst = L("lcl_bes_is_besfit") ; break;
            case "BESINF" : tekst = L("lcl_bes_is_besinf") ; break;
            case "BESOTV" : tekst = L("lcl_bes_is_besotv") ; break;
            case "BESREJ" : tekst = L("lcl_bes_is_besrej") ; break;
            case "BESUPD" : tekst = L("lcl_bes_is_besupd") ; break;
            case "BESVER" : tekst = L("lcl_bes_is_besver") ; break;
            case "BESCAN" : tekst = L("lcl_bes_is_bescan") ; break;

            case "BES2NE" : tekst = L("lcl_bes_is_bes2ne") ; break;
            case "BES2AF" : tekst = L("lcl_bes_is_bes2af") ; break;
            case "BES2VE" : tekst = L("lcl_bes_is_bes2ve") ; break;
            case "BES2SX" : tekst = L("lcl_bes_is_bes2sx") ; break;
            case "BES2BE" : tekst = L("lcl_bes_is_bes2be") ; break;
            case "BES2RE" : tekst = L("lcl_bes_is_bes2re") ; break;
            case "BES2SN" : tekst = L("lcl_bes_is_bes2sn") ; break;
            case "BES2CA" : tekst = L("lcl_bes_is_bes2ca") ; break;
            case "BES2CO" : tekst = L("lcl_bes_is_bes2co") ; break;
            case "BES2UP" : tekst = L("lcl_bes_is_bes2up") ; break;

            case "INSNEW" : tekst = L("lcl_ins_is_insnew") ; break;
            case "INSUPD" : tekst = L("lcl_ins_is_insupd") ; break;
            case "INSDEL" : tekst = L("lcl_ins_is_insdel") ; break;
            case "INSOUT" : tekst = L("lcl_ins_is_insout") ; break;
            case "INSINN" : tekst = L("lcl_ins_is_insinn") ; break;

            case "INSCBE" : tekst = L("lcl_ins_controle_is_inscbe") ; break;
            case "INSCAF" : tekst = L("lcl_ins_controle_is_inscaf") ; break;
            case "INSCVE" : tekst = L("lcl_ins_controle_is_inscve") ; break;
            case "INSCUP" : tekst = L("lcl_ins_controle_is_inscup") ; break;

            case "FINNEW" : tekst = L("lcl_fin_is_finnew") ; break;
            case "FINUPD" : tekst = L("lcl_fin_is_finupd") ; break;
            case "FINFOK" : tekst = L("lcl_fin_is_finfok") ; break;
            case "FINFNO" : tekst = L("lcl_fin_is_finfno") ; break;
            case "FINFUN" : tekst = L("lcl_fin_is_finfun") ; break;
            case "FINGOE" : tekst = L("lcl_fin_is_fingoe") ; break;
            case "FINGNO" : tekst = L("lcl_fin_is_fingno") ; break;
            case "FINGUN" : tekst = L("lcl_fin_is_fingun") ; break;
            case "FINVER" : tekst = L("lcl_fin_is_finver") ; break;

            case "CNTNEW" : tekst = L("lcl_cnt_is_cntnew") ; break;
            case "CNTUPD" : tekst = L("lcl_cnt_is_cntupd") ; break;
            case "CNTDEL" : tekst = L("lcl_cnt_is_cntdel") ; break;

            case "CNTCPT" : tekst = L("lcl_cnt_is_cntcpt") ; break;
            case "CNTFIT" : tekst = L("lcl_cnt_is_cntfit") ; break;
            case "CNTREJ" : tekst = L("lcl_cnt_is_cntrej") ; break;
            case "CNTCLO" : tekst = L("lcl_cnt_is_cntclo") ; break;
            case "CNTSNT" : tekst = L("lcl_cnt_is_cntsnt") ; break;
            case "CNTSNX" : tekst = L("lcl_cnt_is_cntsnx") ; break;

            case "PRSNEW" : tekst = L("lcl_prs_is_prsnew") ; break;
            case "PRSUPD" : tekst = L("lcl_prs_is_prsupd") ; break;
            case "PRSDEL" : tekst = L("lcl_prs_is_prsdel") ; break;
            case "PRSKPU" : tekst = L("lcl_prs_is_prskpu") ; break;
            case "PRSLOG" : tekst = L("lcl_prs_is_prslog") ; break;

            case "ALGCAD" : tekst = L("lcl_alg_is_algcad") ; break;
            case "ALGRNE" : tekst = L("lcl_alg_is_algrne") ; break;
            case "ALGLUP" : tekst = L("lcl_alg_is_alglup") ; break;
            case "ALGGUP" : tekst = L("lcl_alg_is_alggup") ; break;
            case "ALGVUP" : tekst = L("lcl_alg_is_algvup") ; break;
            case "ALGRUP" : tekst = L("lcl_alg_is_algrup") ; break;
            // extend here..
          }
        return tekst;
      }

};

%>
